@charset "UTF-8";

@import 'normalize.css';

/* barlow-300 - latin */
@font-face {
  font-family: 'Barlow';
  font-style: normal;
  font-weight: 300;
  src: local('Barlow Light'), local('Barlow-Light'),
       url('../fonts/barlow-300.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
       url('../fonts/barlow-300.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
/* barlow-300italic - latin */
@font-face {
  font-family: 'Barlow';
  font-style: italic;
  font-weight: 300;
  src: local('Barlow Light Italic'), local('Barlow-LightItalic'),
       url('../fonts/barlow-300italic.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
       url('../fonts/barlow-300italic.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
/* barlow-600 - latin */
@font-face {
  font-family: 'Barlow';
  font-style: normal;
  font-weight: 600;
  src: local('Barlow SemiBold'), local('Barlow-SemiBold'),
       url('../fonts/barlow-600.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
       url('../fonts/barlow-600.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}
/* barlow-600italic - latin */
@font-face {
  font-family: 'Barlow';
  font-style: italic;
  font-weight: 600;
  src: local('Barlow SemiBold Italic'), local('Barlow-SemiBoldItalic'),
       url('../fonts/barlow-600italic.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
       url('../fonts/barlow-600italic.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/********** CSS START **********/

:root {
  --bg-color: #f6f6f6;
  --bg-color-side: #000;
  --special-color: #DD6632;
  --text-color: #000;
  --selection-color: var(--special-color);

  --width-sidebar: max(4vw, 36px);
  --maxwidth-content: 1400px;
  --main-margin: max(1vw, 20px);
  --margin-enlarged: calc(1.75 * var(--main-margin));

  --base-font: 'Barlow', sans-serif;

  --animation-duration: 0.2s;
  --base-transition: all var(--animation-duration) ease-in-out;
  --border-default: 1px solid var(--text-color);

  scrollbar-color: var(--bg-color) var(--bg-color-side);
}

::selection {
	color: var(--text-color);
	background-color: var(--selection-color);
	text-shadow: none;
}

*,
*::after,
*::before{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-family: var(--base-font);
  text-rendering: optimizeLegibility;
	font-variant-ligatures: common-ligatures;
	font-kerning: normal;
  font-size: 22px;
  line-height: 1.4;
  color: var(--text-color);
  background-color: var(--bg-color);
}

li {
  list-style: none;
}

.text p {
  margin-bottom: 0.8em;
}
.text ol {
  /* see https://css-tricks.com/list-style-recipes/ */
  list-style: none;
  counter-reset: li;
}
.text ol li {
  counter-increment: li;
}
@supports (grid-template-columns: subgrid) {
  .text ol {
    display: grid;
    grid-template-columns: min-content 1fr;
  }
  .text ol li {
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: subgrid;
  }
}
.text ol li::before {
  content: counter(li) ".";
  margin-right: 0.4em;
}

a, a:visited {
  color: currentColor;
  text-decoration: none;
  white-space: break-word;  /* not nowrap! */
}
a:hover,
a:active {
  color: var(--special-color);
}
a:focus {
  outline: 2px dotted var(--special-color);
}

strong, b {
  font-weight: 600;
}

img {
  width: 100%;
}

main {
  min-height: calc(100vh - 10rem);
  margin-top: var(--margin-enlarged);
}

.page {
  margin-left: calc(var(--width-sidebar) + var(--main-margin));
  margin-right: var(--main-margin);
}

.layout {
  max-width: var(--maxwidth-content);
  margin: 0 auto;
}

.center {
  display: flex;
  align-items: center;
}

/* ::: HEADER ::: */
.brandname {
  color: var(--bg-color);
  background-color: var(--bg-color-side);
  text-transform: uppercase;
  writing-mode: vertical-lr;
  text-orientation: upright;
  position: fixed;
  z-index: 10;
  top: 0;
  left: 0;
  height: 100%;
  width: var(--width-sidebar);
}

.brandname a {
  font-size: max(2vw, 20px);
  line-height: 1;  /* reset */
  font-weight: 600;
  letter-spacing: -0.24em;
  white-space: nowrap;
  display: inline-block;
  /* centering trick: */
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* ::: NAV ::: */
#menu {
  border-bottom: var(--border-default);
  margin-left: calc(var(--width-sidebar) + var(--main-margin));
  margin-right: var(--main-margin);
}
.menu {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
}

.menu a {
  font-size: 1rem;
  line-height: normal;
  margin-right: 2.5em;
  letter-spacing: .05em;
  padding: .7em 0;
  display: inline-block;
}
#menu a:last-of-type {
  margin-right: 0;
}

.menu a:hover {
  color: var(--special-color);
  transition: var(--base-transition);
}

.menu a[aria-current]::before {
  /* content: "• "; scale 2*/
  content: "◒ ";
  display: inline-block; /* needed for transform: scale */
  transform: scale(0.9) translate(-5px, -2px) rotate(-45deg);
  line-height: 0;
}
.menu a[aria-current]:hover::before {
  transform: scale(0.9) translate(-2px, 2px) rotate(135deg);
}

.intro {
  padding: 10vh 0;
  text-align: center;
}
.intro h1 {
  margin-bottom: 1rem;
  font-weight: 600;
}

/* ::: FOOTER ::: */
.footer {
  margin-top: 8vh;
  border-top: var(--border-default);
  text-align: right;
  line-height: 1.5em;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
}

.footer span {
  display: inline-block;
  font-size: .875rem;
}


@media screen and (max-width: 700px) {
  .menu,
  .footer {
    flex-direction: column;
  }

  .menu a {
    margin: 0;
  }
}
